'Testing PCA9554A I2C for linefollower

CON
    _clkmode = xtal1 + pll16x                           
    _xinfreq = 5_000_000                                'Note Clock Speed for your setup!!
VAR
  long SensorReadings[8]   'Using an array of 8 longs to store sensor readings in
    
OBJ
  I2C:"LineSensor_i2cDriver2b"
  ser:"fullduplexserial"

PUB  main|i,j
  ser.start(31,30,0,115200)
  waitcnt(cnt+clkfreq*2)

  I2C.Initialize
 
  repeat
    i2c.ReadRightSensors(@SensorReadings[0])
    ser.dec(SensorReadings[0])
    ser.tx(" ")
    ser.dec(SensorReadings[1])
    ser.tx(" ")
    ser.dec(SensorReadings[2])
    ser.tx(" ")
    ser.dec(SensorReadings[3])
    ser.tx(" ")
    i2c.ReadLeftSensors(@SensorReadings[0])
    ser.dec(SensorReadings[4])
    ser.tx(" ")
    ser.dec(SensorReadings[5])
    ser.tx(" ")
    ser.dec(SensorReadings[6])
    ser.tx(" ")
    ser.dec(SensorReadings[7])
    ser.tx(" ")                
    ser.tx(13)

  
  repeat
    i2c.WriteExpandedIO(3,0)'all output '%1111_1100)  'configure LED0 and Q0 as ouput
    i2c.WriteExpandedIO(1, %1111_1111)  'Set all pins high  
    waitcnt(cnt+clkfreq/100)
    i:=0
    i2c.WriteExpandedIO(3,%0101_0101)  'all Q to input with LEDs on'Change Q0 to input but leave LED0 on
    repeat
      j:=i2c.ReadExpandedIO
      i++
    until ((j&%100)==0) or i>1000 
      'ser.bin(i2c.ReadExpandedIO,8)
      'ser.tx(13)
    ser.dec(i)
    ser.tx(13)
    waitcnt(cnt+clkfreq)
    



 '     bOk:=expand1.out(PCA9554_Address, 3, %1111_1101)  'configure LED1 as ouput  
 ' bOk:=expand1.out(PCA9554_Address, 1, $FF)  'Set all pins high

  repeat